%define         Werror_cflags %nil

%define         oname         DVDStyler
%define         srcversion    %{version}

Name:           dvdstyler
Summary:        DVD authoring application
Epoch:          1
Version:        3.2.1
Release:        %mkrel 10

License:        GPLv2+
Group:          Video/Utilities

URL:            https://dvdstyler.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{oname}-%{srcversion}.tar.bz2

Patch0:         wxvilla-3.2-compat.patch
Patch2:         0001-fixed-encoding-of-silent-audio-file.patch
# from opensuse
Patch51:        dvdstyler-ffmpeg5.patch
Patch52:        DVDStyler-ffmpeg7.patch

BuildRequires:  sed
BuildRequires:  wxgtk-devel
BuildRequires:  pkgconfig(libwxsvg) >= 1.5.17
BuildRequires:  xmlto
BuildRequires:  zip
BuildRequires:  cdrkit-genisoimage
BuildRequires:  dvd+rw-tools
BuildRequires:  dvdauthor >= 0.7.0
BuildRequires:  imagemagick
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  ffmpeg-devel
BuildRequires:  ffmpeg
Requires:       dvdauthor
Requires:       mjpegtools
Requires:       dvd+rw-tools
Requires:       mkisofs
Requires:       dvdisaster
Requires:       ffmpeg

%description
DVDStyler is a cross-platform free DVD authoring application for the
creation of professional-looking DVDs. It allows not only burning of
video files on DVD that can be played practically on any standalone
DVD player, but also creation of individually designed DVD menus. It
is Open Source Software and is completely free.

%prep
%autosetup -p1 -n %{oname}-%{srcversion}

#fix desktop file
sed -i -e 's,%{name}.png,%{name},g' data/dvdstyler.desktop

%build
#export CXXFLAGS="%{optflags} -std=c++14"
%configure
%make_build

%install
%make_install

rm -fr %{buildroot}/%{_docdir}

desktop-file-install --vendor='' \
        --dir=%{buildroot}%{_datadir}/applications \
        --remove-category='Application' \
        --add-category='Video;AudioVideoEditing' \
        %{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -size 48x48 src/rc/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -size 32x32 src/rc/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -size 16x16 src/rc/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png

#remove duplicate files
rm -fr %{buildroot}/%{_libdir}/share/doc/dvdstyler/

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/metainfo/dvdstyler.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1:3.2.1-10.mga10
+ Revision: 2231270
- Mageia 10 Mass Rebuild

* Sun Dec 08 2024 daviddavid <daviddavid> 1:3.2.1-9.mga10
+ Revision: 2122773
- backport opensuse patches to fix build with ffmpeg 7.x
- rebuild for new ffmpeg 7.1

* Tue Jul 16 2024 pterjan <pterjan> 1:3.2.1-8.mga10
+ Revision: 2081758
- Drop unused BuildRequires on libgnomeui-2.0

* Sun Dec 04 2022 eatdirt <eatdirt> 1:3.2.1-7.mga9
+ Revision: 1917554
- Rebuild for wxsvg

* Tue Jul 19 2022 wally <wally> 1:3.2.1-6.mga9
+ Revision: 1869448
- really rebuild with wxgtk 3.2.0

* Fri Jul 15 2022 wally <wally> 1:3.2.1-5.mga9
+ Revision: 1868969
- rebuild for wxgtk 3.2.0

* Sun Jun 12 2022 wally <wally> 1:3.2.1-4.mga9
+ Revision: 1864092
- rebuild for wxgtk 3.1.7

* Fri Apr 15 2022 wally <wally> 1:3.2.1-3.mga9
+ Revision: 1850233
- rebuild for wxgtk 3.1.6
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Sat Jan 15 2022 wally <wally> 1:3.2.1-2.mga9
+ Revision: 1768481
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Sun Jan 09 2022 wally <wally> 1:3.2.1-1.mga9
+ Revision: 1767380
- new version 3.2.1

* Sun Jan 09 2022 wally <wally> 1:3.2-3.mga9
+ Revision: 1767369
- rebuild against wxgtk 3.1.5 rebuilt wxsvg

* Sat Jan 01 2022 wally <wally> 1:3.2-2.mga9
+ Revision: 1765701
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Thu Aug 26 2021 eatdirt <eatdirt> 1:3.2-1.mga9
+ Revision: 1742608
- Upgrade to version 3.2

* Fri Jan 01 2021 wally <wally> 1:3.1.2-3.mga8
+ Revision: 1667695
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 1:3.1.2-2.mga8
+ Revision: 1614333
- rebuild for new wxgtk 3.1.4
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Tue Mar 17 2020 eatdirt <eatdirt> 1:3.1.2-1.mga8
+ Revision: 1557526
- Upgrade to version 3.1.2

* Tue Feb 18 2020 umeabot <umeabot> 1:3.1.1-4.mga8
+ Revision: 1538043
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Nov 12 2019 wally <wally> 1:3.1.1-3.mga8
+ Revision: 1459457
- rebuild for wxgtk 3.1.3

* Mon Jul 08 2019 wally <wally> 1:3.1.1-2.mga8
+ Revision: 1419523
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jul 07 2019 wally <wally> 1:3.1.1-1.mga8
+ Revision: 1419384
- new version 3.1.1
- build with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 1:3.0.4-3.mga7
+ Revision: 1297534
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 daviddavid <daviddavid> 1:3.0.4-2.mga7
+ Revision: 1223481
- add patch to fix build with ffmpeg 4.0

* Tue Jan 30 2018 eatdirt <eatdirt> 1:3.0.4-1.mga7
+ Revision: 1198107
- Upgrade to version 3.0.4

* Wed Oct 11 2017 eatdirt <eatdirt> 1:3.0.3-5.mga7
+ Revision: 1171079
- Rebuild for new gcc

* Sat Jun 03 2017 akien <akien> 1:3.0.3-4.mga6
+ Revision: 1106087
- Rebuild for wxgtk 3.0.3.1

* Tue May 02 2017 akien <akien> 1:3.0.3-3.mga6
+ Revision: 1098277
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1:3.0.3-2.mga6
+ Revision: 1089848
- Rebuild for ffmpeg 3.2.4

* Tue Feb 14 2017 eatdirt <eatdirt> 1:3.0.3-1.mga6
+ Revision: 1086139
- Upgrade to version 3.0.3

* Thu Dec 01 2016 eatdirt <eatdirt> 1:3.0.2-1.mga6
+ Revision: 1071417
- Upgrade to version 3.0.2

* Tue Mar 15 2016 eatdirt <eatdirt> 1:2.9.6-2.mga6
+ Revision: 990773
- Rebuild for new wxsvg

* Mon Jan 18 2016 daviddavid <daviddavid> 1:2.9.6-1.mga6
+ Revision: 925516
- new version: 2.9.6

* Fri Oct 09 2015 eatdirt <eatdirt> 1:2.9.4-1.mga6
+ Revision: 888502
- Upgrade to version 2.9.4

* Tue Sep 29 2015 eatdirt <eatdirt> 1:2.9.3-1.mga6
+ Revision: 885134
- Upgrade to version 2.9.3

* Fri Nov 14 2014 akien <akien> 1:2.7.2-5.mga5
+ Revision: 797144
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1:2.7.2-4.mga5
+ Revision: 751103
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.7.2-3.mga5
+ Revision: 678892
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 eatdirt <eatdirt> 1:2.7.2-2.mga5
+ Revision: 660904
- Rebuild for new libwxsvg

* Sun Jun 29 2014 bcornec <bcornec> 1:2.7.2-1.mga5
+ Revision: 641228
- Update to upstream 2.7.2

* Thu Feb 27 2014 eatdirt <eatdirt> 1:2.7-1.mga5
+ Revision: 597540
- Upgrade to version 2.7

* Sat Oct 19 2013 umeabot <umeabot> 1:2.5.2-2.mga4
+ Revision: 532499
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 fwang <fwang> 1:2.5.2-1.mga4
+ Revision: 468493
- new version 2.5.2

* Fri Aug 16 2013 eatdirt <eatdirt> 1:2.5.1-1.mga4
+ Revision: 466810
- Upgrade to version 2.5.1

* Wed Jul 17 2013 fwang <fwang> 1:2.5-1.mga4
+ Revision: 455177
- new version 2.5

* Mon Jul 15 2013 fwang <fwang> 1:2.4.3-2.mga4
+ Revision: 454459
- fix build with recent ffmpeg
- rebuild for new ffmpeg

* Fri May 24 2013 eatdirt <eatdirt> 1:2.4.3-1.mga4
+ Revision: 425676
- Upgrade to version 2.4.3

* Fri Jan 11 2013 umeabot <umeabot> 1:2.3.5-2.mga3
+ Revision: 349196
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 eatdirt <eatdirt> 1:2.3.5-1.mga3
+ Revision: 343142
- Upgrade to version 2.3.5

* Tue Jan 08 2013 fwang <fwang> 1:2.3.3-2.mga3
+ Revision: 341616
- rebuild for new ffmpeg

* Mon Nov 05 2012 eatdirt <eatdirt> 1:2.3.3-1.mga3
+ Revision: 314514
- Fix obsolete group
- Upgrade to version 2.3.3

* Thu Aug 30 2012 eatdirt <eatdirt> 1:2.3-1.mga3
+ Revision: 285864
- Upgrade to version 2.3

* Thu Aug 23 2012 eatdirt <eatdirt> 1:2.3-0.0.rc2.mga3
+ Revision: 283282
- Upgrade to version 2.3rc2, cleaning specfile

* Sat Jun 30 2012 colin <colin> 2.3b1-2.mga3
+ Revision: 265626
- Rebuild for new libudev major

* Sun Jun 17 2012 eatdirt <eatdirt> 2.3b1-1.mga3
+ Revision: 261166
- Upgrade to beta version 2.3 to support new ffmpeg 0.11 api
+ fwang <fwang>
- new version 2.2
- rebuild for new ffmpeg

* Wed Dec 14 2011 wally <wally> 2.1-0.b2.1.mga2
+ Revision: 181622
- imported package dvdstyler

